<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Search for a smartphone</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link th:href="@{/styles/main.css}" rel="stylesheet" />
</head>
<body>

<ul>
  <li><a href="/">Home</a></li>
  <li><a href="/search">Search</a></li>
  <div th:if="${activeAccount != null and activeAccount.getClass().getName().equals('com.assignment3.Assignment3.models.Vendor')}">
    <li><a href="/addSmartphone">Add a Smartphone</a></li>
    <li><a href="/addLaptop">Add a Laptop</a></li>
  </div>
  <li th:if="${activeAccount != null}" style="float:right"><a href="/logout">Log out</a></li>
  <li th:if="${activeAccount != null}" style="float:right"><a href="/profile" th:text="${activeAccount.getUsername()}"></a></li>
  <li th:if="${activeAccount == null}" style="float:right"><a href="/signUp">Sign up or Login</a></li>
</ul>

<p>
  <font size="+2" >
    Devices
  </font>
</p>

<div th:unless="${devices.isEmpty()}">
  <table th:object="${devices}" id="devicesInDatabase" border="1">
    <tr>
      <th>Name</th>
      <th>Type</th>
      <th>Release date</th>
      <th>Brand</th>
      <th>Additional information</th>
      <th>Price</th>
      <th>Vendor</th>
    </tr>
    <tr th:each="device :${devices}">
      <td  th:text="${device.getName()}"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Smartphone')}" th:text="Smartphone"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Laptop')}" th:text="Laptop"></td>
      <td  th:text="${device.getReleaseDate()}"></td>
      <td  th:text="${device.getBrand()}"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Smartphone')}" th:text="'Camera Mp: ' + ${device.getCamera()}"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Laptop')}" th:text="'Keyboard layout: ' + ${device.getKeyboardLayout()}"></td>
      <td th:text="${device.getPrice()} + '€'"></td>
      <td th:text="${device.getVendor}"></td>
      <td th:if="${activeAccount != null && !device.getVendor.equals(activeAccount.getUsername())}">
        <a th:href="@{/buy?deviceToBeBought={deviceToBeBought}&referrer=/index(deviceToBeBought = ${device.getName()})}">Buy</a>
      </td>
    </tr>
  </table>
</div>

</body>
</html>